/*
 * @(#)file      CustomRFC1213_MIBOidTable.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.4
 * @(#)date      04/07/05
 *
 * Copyright 2000-2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000-2004 Sun Microsystems, Inc.  Tous droits r?serv?s.
 * Ce logiciel est propriet? de Sun Microsystems, Inc.
 * Distribu? par des licences qui en restreignent l'utilisation. 
 *
 */
package com.sun.management.snmp.easymanager;

// java imports
//
import java.util.HashMap;
import java.io.Serializable;

// jmx imports
//
import com.sun.management.snmp.SnmpOidRecord;

// jdmk imports
//
import com.sun.management.snmp.SnmpOidTableSupport;

public class CustomRFC1213_MIBOidTable extends SnmpOidTableSupport implements Serializable {
    HashMap m = new HashMap();
    public CustomRFC1213_MIBOidTable() {
        super("CUSTOM_RFC1213_MIB");
        loadMib(varList);
    }
    
    static SnmpOidRecord varList [] = {
        new SnmpOidRecord("egp", "1.3.6.1.2.1.8", "GR"),
        new SnmpOidRecord("udp", "1.3.6.1.2.1.7", "GR"),
        new SnmpOidRecord("tcp", "1.3.6.1.2.1.6", "GR"),
	new SnmpOidRecord("tcp", "1.3.6.1.2.1.11", "GR"),
	new SnmpOidRecord("icmp", "1.3.6.1.2.1.5", "GR"),
	new SnmpOidRecord("ip", "1.3.6.1.2.1.4", "GR"),
	new SnmpOidRecord("at", "1.3.6.1.2.1.3", "GR"),
	new SnmpOidRecord("if", "1.3.6.1.2.1.2", "GR"),
	new SnmpOidRecord("sys", "1.3.6.1.2.1.1", "GR")};
}
