/*
 * @(#)file      SnmpAgentProxy.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.4
 * @(#)date      04/07/05
 *
 * Copyright 2000-2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000-2004 Sun Microsystems, Inc.  Tous droits r?serv?s.
 * Ce logiciel est propriet? de Sun Microsystems, Inc.
 * Distribu? par des licences qui en restreignent l'utilisation. 
 *
 */
package com.sun.management.snmp.rfc2573.v3proxy;

import com.sun.management.snmp.agent.SnmpMibRequest;
import com.sun.management.snmp.SnmpStatusException;

public interface SnmpAgentProxy {
    
    public void get(SnmpMibRequest req) throws SnmpStatusException;
    
    public void getNext(SnmpMibRequest req) throws SnmpStatusException;
    
    public void getBulk(SnmpMibRequest req,
			int nonRepeat, 
			int maxRepeat) throws SnmpStatusException;
    
    public void set(SnmpMibRequest req) throws SnmpStatusException;
}
